org.eclipse.rdf4j.query.algebra.evaluation.limited

## Class LimitedSizeEvaluationStrategy

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy
  - - org.eclipse.rdf4j.query.algebra.evaluation.limited.LimitedSizeEvaluationStrategy

- All Implemented Interfaces:
    EvaluationStrategy, FederatedServiceResolver, FederatedServiceResolverClient, UUIDable

      public class LimitedSizeEvaluationStrategy
      extends StrictEvaluationStrategy

  Author:
    Jerven Bolleman, SIB Swiss Institute of Bioinformatics

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `dataset, serviceResolver, tripleSource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LimitedSizeEvaluationStrategy(TripleSource tripleSource, Dataset dataset, int maxCollectionsSize, FederatedServiceResolver serviceManager)`
    `LimitedSizeEvaluationStrategy(TripleSource tripleSource, long maxSize, FederatedServiceResolver serviceManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CloseableIteration<BindingSet,QueryEvaluationException>` | `evaluate(ArbitraryLengthPath alp, BindingSet bindings)`
    `CloseableIteration<BindingSet,QueryEvaluationException>` | `evaluate(Difference difference, BindingSet bindings)`
    `CloseableIteration<BindingSet,QueryEvaluationException>` | `evaluate(Distinct distinct, BindingSet bindings)`
    `CloseableIteration<BindingSet,QueryEvaluationException>` | `evaluate(Intersection intersection, BindingSet bindings)`
    `CloseableIteration<BindingSet,QueryEvaluationException>` | `evaluate(Join join, BindingSet bindings)`
    `CloseableIteration<BindingSet,QueryEvaluationException>` | `evaluate(Order node, BindingSet bindings)`
    `protected ZeroLengthPathIteration` | `getZeroLengthPathIterator(BindingSet bindings, Var subjectVar, Var objVar, Var contextVar, Value subj, Value obj)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, getLimit, getService, getUUID, getVarValue, isReducedOrDistinct, isTrue, isUnbound, optimize, setFederatedServiceResolver, setOptimizerPipeline, setTrackResultSize, setTrackTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LimitedSizeEvaluationStrategy

          public LimitedSizeEvaluationStrategy(TripleSource tripleSource,
                                               long maxSize,
                                               FederatedServiceResolver serviceManager)

      Parameters:
        `tripleSource` -

    - #### LimitedSizeEvaluationStrategy

          public LimitedSizeEvaluationStrategy(TripleSource tripleSource,
                                               Dataset dataset,
                                               int maxCollectionsSize,
                                               FederatedServiceResolver serviceManager)

      Parameters:
        `tripleSource` -
        `dataset` -
        `maxCollectionsSize` -

  - ### Method Detail

    - #### evaluate

          public CloseableIteration<BindingSet,QueryEvaluationException> evaluate(Distinct distinct,
                                                                                  BindingSet bindings)
                                                                           throws QueryEvaluationException

      Overrides:
        `evaluate` in class `StrictEvaluationStrategy`
      Throws:
        `QueryEvaluationException`

    - #### evaluate

          public CloseableIteration<BindingSet,QueryEvaluationException> evaluate(Difference difference,
                                                                                  BindingSet bindings)
                                                                           throws QueryEvaluationException

      Overrides:
        `evaluate` in class `StrictEvaluationStrategy`
      Throws:
        `QueryEvaluationException`

    - #### evaluate

          public CloseableIteration<BindingSet,QueryEvaluationException> evaluate(Intersection intersection,
                                                                                  BindingSet bindings)
                                                                           throws QueryEvaluationException

      Overrides:
        `evaluate` in class `StrictEvaluationStrategy`
      Throws:
        `QueryEvaluationException`

    - #### evaluate

          public CloseableIteration<BindingSet,QueryEvaluationException> evaluate(Join join,
                                                                                  BindingSet bindings)
                                                                           throws QueryEvaluationException

      Overrides:
        `evaluate` in class `StrictEvaluationStrategy`
      Throws:
        `QueryEvaluationException`

    - #### evaluate

          public CloseableIteration<BindingSet,QueryEvaluationException> evaluate(ArbitraryLengthPath alp,
                                                                                  BindingSet bindings)
                                                                           throws QueryEvaluationException

      Overrides:
        `evaluate` in class `StrictEvaluationStrategy`
      Throws:
        `QueryEvaluationException`

    - #### getZeroLengthPathIterator

          protected ZeroLengthPathIteration getZeroLengthPathIterator(BindingSet bindings,
                                                                      Var subjectVar,
                                                                      Var objVar,
                                                                      Var contextVar,
                                                                      Value subj,
                                                                      Value obj)

      Overrides:
        `getZeroLengthPathIterator` in class `StrictEvaluationStrategy`

    - #### evaluate

          public CloseableIteration<BindingSet,QueryEvaluationException> evaluate(Order node,
                                                                                  BindingSet bindings)
                                                                           throws QueryEvaluationException

      Overrides:
        `evaluate` in class `StrictEvaluationStrategy`
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.